diff --git a/ext/polyphony/fiber.c b/ext/polyphony/fiber.c
index bd1900ee..f65b00e8 100644
--- a/ext/polyphony/fiber.c
+++ b/ext/polyphony/fiber.c
@@ -3,7 +3,6 @@
 ID ID_fiber_trace;
 ID ID_ivar_auto_watcher;
 ID ID_ivar_mailbox;
-ID ID_ivar_result;
 ID ID_ivar_waiting_fibers;
 
 VALUE SYM_dead;
@@ -162,7 +161,6 @@ void Init_Fiber() {
   ID_fiber_trace          = rb_intern("__fiber_trace__");
   ID_ivar_auto_watcher    = rb_intern("@auto_watcher");
   ID_ivar_mailbox         = rb_intern("@mailbox");
-  ID_ivar_result          = rb_intern("@result");
   ID_ivar_waiting_fibers  = rb_intern("@waiting_fibers");
 
   SYM_fiber_create        = ID2SYM(rb_intern("fiber_create"));
diff --git a/ext/polyphony/polyphony.c b/ext/polyphony/polyphony.c
index 3a66a5d9..14bdf463 100644
--- a/ext/polyphony/polyphony.c
+++ b/ext/polyphony/polyphony.c
@@ -9,9 +9,10 @@ ID ID_each;
 ID ID_inspect;
 ID ID_invoke;
 ID ID_new;
+ID ID_ivar_result;
+ID ID_ivar_runnable;
 ID ID_ivar_running;
 ID ID_ivar_thread;
-ID ID_ivar_runnable;
 ID ID_size;
 ID ID_signal;
 ID ID_switch_fiber;
@@ -60,10 +61,11 @@ void Init_Polyphony() {
   ID_each           = rb_intern("each");
   ID_inspect        = rb_intern("inspect");
   ID_invoke         = rb_intern("invoke");
+  ID_ivar_result    = rb_intern("@result");
+  ID_ivar_runnable  = rb_intern("runnable");
   ID_ivar_running   = rb_intern("@running");
   ID_ivar_thread    = rb_intern("@thread");
   ID_new            = rb_intern("new");
-  ID_ivar_runnable       = rb_intern("runnable");
   ID_signal         = rb_intern("signal");
   ID_size           = rb_intern("size");
   ID_switch_fiber   = rb_intern("switch_fiber");
diff --git a/ext/polyphony/polyphony.h b/ext/polyphony/polyphony.h
index 80512811..7d5746c4 100644
--- a/ext/polyphony/polyphony.h
+++ b/ext/polyphony/polyphony.h
@@ -41,11 +41,12 @@ extern ID ID_fiber_trace;
 extern ID ID_inspect;
 extern ID ID_invoke;
 extern ID ID_ivar_backend;
+extern ID ID_ivar_result;
+extern ID ID_ivar_runnable;
 extern ID ID_ivar_running;
 extern ID ID_ivar_thread;
 extern ID ID_new;
 extern ID ID_raise;
-extern ID ID_ivar_runnable;
 extern ID ID_signal;
 extern ID ID_size;
 extern ID ID_switch_fiber;
diff --git a/ext/polyphony/thread.c b/ext/polyphony/thread.c
index fbaf5035..94045ae6 100644
--- a/ext/polyphony/thread.c
+++ b/ext/polyphony/thread.c
@@ -4,7 +4,6 @@ ID ID_deactivate_all_watchers_post_fork;
 ID ID_ivar_backend;
 ID ID_ivar_join_wait_queue;
 ID ID_ivar_main_fiber;
-ID ID_ivar_result;
 ID ID_ivar_terminated;
 ID ID_ivar_runqueue;
 ID ID_stop;
@@ -162,9 +161,8 @@ void Init_Thread() {
   ID_ivar_backend               = rb_intern("@backend");
   ID_ivar_join_wait_queue     = rb_intern("@join_wait_queue");
   ID_ivar_main_fiber          = rb_intern("@main_fiber");
-  ID_ivar_result              = rb_intern("@result");
-  ID_ivar_terminated          = rb_intern("@terminated");
   ID_ivar_runqueue            = rb_intern("@runqueue");
+  ID_ivar_terminated          = rb_intern("@terminated");
   ID_stop                     = rb_intern("stop");
 
   SYM_scheduled_fibers = ID2SYM(rb_intern("scheduled_fibers"));
